Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.ui
Class AlignPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.SimplePanel
                      com.maryanovsky.gwtutils.client.ui.AlignPanel

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, AcceptsOneWidget, HasOneWidget, HasVisibility, HasWidgets, HasWidgets.ForIsWidget, IsWidget, Iterable<Widget>

    public class AlignPanel

extends SimplePanel

A panel which positions its sole child in one of the 9 locations defined by the combination of the 3 horizontal positions left,center,right and the 3 vertical positions top,center,bottom.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets
`HasWidgets.ForIsWidget`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`AlignPanel(Alignment alignment)` Creates a new `AlignPanel` with the specified alignment.
`AlignPanel(HasHorizontalAlignment.HorizontalAlignmentConstant horizontalAlignment, HasVerticalAlignment.VerticalAlignmentConstant verticalAlignment)` Creates a new `DockPositionPanel` with the specified horizontal and vertical alignment.
`AlignPanel(Widget child, Alignment alignment)` Creates a new `AlignPanel` with the specified child placed at the specified position.
`AlignPanel(Widget child, HasHorizontalAlignment.HorizontalAlignmentConstant horizontalAlignment, HasVerticalAlignment.VerticalAlignmentConstant verticalAlignment)` Creates a new `AlignPanel` with the specified child placed at at the specified position.

Method Summary
`protected Element` | `getContainerElement()` Returns the element into which content should be added.
`static AlignPanel` | `makeCenter()` Returns an `AlignPanel` which positions its child in the center.
`static AlignPanel` | `makeCenter(Widget child)` Returns an `AlignPanel` which positions the specified child in the center.
`void` | `setHorizontalAlignment(HasHorizontalAlignment.HorizontalAlignmentConstant horizontalAlignment)` Sets the horizontal alignment.
`void` | `setVerticalAlignment(HasVerticalAlignment.VerticalAlignmentConstant verticalAlignment)` Sets the vertical alignment.

Methods inherited from class com.google.gwt.user.client.ui.SimplePanel
`add, getWidget, iterator, remove, setWidget, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`add, adopt, adopt, clear, disown, doAttachChildren, doDetachChildren, orphan, remove`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlignPanel

    public AlignPanel(HasHorizontalAlignment.HorizontalAlignmentConstant horizontalAlignment,
                      HasVerticalAlignment.VerticalAlignmentConstant verticalAlignment)

  Creates a new `DockPositionPanel` with the specified horizontal and vertical alignment.

### AlignPanel

    public AlignPanel(Alignment alignment)

  Creates a new `AlignPanel` with the specified alignment.

### AlignPanel

    public AlignPanel(Widget child,
                      HasHorizontalAlignment.HorizontalAlignmentConstant horizontalAlignment,
                      HasVerticalAlignment.VerticalAlignmentConstant verticalAlignment)

  Creates a new `AlignPanel` with the specified child placed at at the specified position.

### AlignPanel

    public AlignPanel(Widget child,
                      Alignment alignment)

  Creates a new `AlignPanel` with the specified child placed at the specified position.

Method Detail

### setHorizontalAlignment

    public void setHorizontalAlignment(HasHorizontalAlignment.HorizontalAlignmentConstant horizontalAlignment)

  Sets the horizontal alignment.

### setVerticalAlignment

    public void setVerticalAlignment(HasVerticalAlignment.VerticalAlignmentConstant verticalAlignment)

  Sets the vertical alignment.

### getContainerElement

    protected Element getContainerElement()

  Returns the element into which content should be added.

  Overrides:
    `getContainerElement` in class `SimplePanel`

### makeCenter

    public static AlignPanel makeCenter()

  Returns an `AlignPanel` which positions its child in the center.

### makeCenter

    public static AlignPanel makeCenter(Widget child)

  Returns an `AlignPanel` which positions the specified child in the center.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD